Bug 225230 - [73cat] Suggest standard merge commit message when committing merge after resolving conflicts
[73cat] Suggest standard merge commit message when committing merge after res...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 11:30 UTC by misterm
Modified: 2013-02-02 02:36 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
IDE log (239.82 KB, text/plain)
2013-01-30 15:01 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description misterm 2013-01-23 11:30:44 UTC
When a merge would result in a conflict and the user chooses resolve, later when committing, NB is able to tell it is a commit after a merge, so it should also suggest the standard commit messae for merges.

Product Version = NetBeans IDE Dev (Build 20130117-1c2fba4f4903)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_07
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.3-b01
Comment 1 Ondrej Vrabec 2013-01-28 13:48:01 UTC
fix: http://hg.netbeans.org/core-main/rev/a2998c051e12
Comment 2 Quality Engineering 2013-01-29 03:29:24 UTC
Integrated into 'main-golden', will be available in build *201301290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a2998c051e12
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #225230 - [73cat] Suggest standard merge commit message when committing merge after resolving conflicts
Comment 3 misterm 2013-01-30 15:00:58 UTC
Well, I just had to resolve a merge because it would result in a conflict and the message wasn't suggested as expected:

Product Version: NetBeans IDE Dev (Build 20130130-8551ab433946)
Java: 1.7.0_07; Java HotSpot(TM) 64-Bit Server VM 23.3-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_07-b11
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 4 misterm 2013-01-30 15:01:08 UTC
Created attachment 130841 [details]
IDE log
Comment 5 Ondrej Vrabec 2013-01-30 15:06:49 UTC
What is the label next to your project name. It should state something as "[Merged - master]". And please let me know what is the content of .git/MERGE_MSG
Comment 6 Ondrej Vrabec 2013-01-30 15:13:30 UTC
And please take a look if "Automatically fill into commit message" is selected or not (in the commit dialog click on the Recent Messages button in the top right corner)
Comment 7 Ondrej Vrabec 2013-01-30 16:23:53 UTC
Let make it clear. Merge message is displayed only sometimes. The order is following:
1) commit message template - if autofill selected in "Load Template" in the right top corner
2) last committed message - if autofill selected in "Recent Messages" in the top right corner
3) last canceled commit message - if you open the dialog and cancel it, then the commit message is stored so you can continue typing and finish it once the dialog is opened again
4) merge commit message

So make sure you really get over 1-3 to 4.
Comment 8 misterm 2013-01-30 19:04:57 UTC
I understand it, but I don't agree with #2 and #3 coming first and I have no experience with #1. A merge should always use the standard message, because that's what it will use in case of no conflict. If one wants to change it, it's a very unlikely exception to the rule.
Comment 9 Ondrej Vrabec 2013-01-30 20:32:16 UTC
(In reply to comment #8)
> A merge should always use the standard message, because
> that's what it will use in case of no conflict. If one wants to change it, it's
> a very unlikely exception to the rule.
OK, you're probably more experienced Git user than i am. I will give merge messages the highest priority.
Comment 10 Ondrej Vrabec 2013-01-31 10:18:12 UTC
fixed: http://hg.netbeans.org/core-main/rev/f91d0ca4a86f
Comment 11 Ondrej Vrabec 2013-01-31 10:18:41 UTC
> fixed: http://hg.netbeans.org/core-main/rev/f91d0ca4a86f
sorry, wrong issue
Comment 12 Ondrej Vrabec 2013-01-31 10:44:41 UTC
fix: http://hg.netbeans.org/core-main/rev/830b27c6b18c
Comment 13 Quality Engineering 2013-02-02 02:36:19 UTC
Integrated into 'main-golden', will be available in build *201302020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/830b27c6b18c
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #225230 - [73cat] Suggest standard merge commit message when committing merge after resolving conflicts
merge commit messages now have the highest priority


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo